Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLXhncGYtcDUyai1wZjdt

XSS in CreateQueuedJobTask

A vulnerability has been identified in the Silverstripe CMS 3 and 4 version of the symbiote/silverstripe-queuedjobs module. A Cross Site Scripting vulnerability allows an attacker to inject an arbitrary payload in the CreateQueuedJobTask dev task via a specially crafted URL.

Permalink: https://github.com/advisories/GHSA-xgpf-p52j-pf7m
JSON: https://advisories.ecosyste.ms/api/v1/advisories/MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLXhncGYtcDUyai1wZjdt
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: over 3 years ago
Updated: over 1 year ago


Identifiers: GHSA-xgpf-p52j-pf7m, CVE-2021-27938
References: Repository: https://github.com/symbiote/silverstripe-queuedjobs
Blast Radius: 0.0

Affected Packages

packagist:symbiote/silverstripe-queuedjobs
Dependent packages: 75
Dependent repositories: 95
Downloads: 617,392 total
Affected Version Ranges: >= 4.6.0, < 4.6.4, >= 4.5.0, < 4.5.1, >= 4.4.0, < 4.4.3, >= 4.3.0, < 4.3.3, >= 4.2.0, < 4.2.4, >= 4.1.0, < 4.1.2, >= 4.0.0, < 4.0.7, >= 3.1.0, < 3.1.4, >= 3.0.0, < 3.0.2
Fixed in: 4.6.4, 4.5.1, 4.4.3, 4.3.3, 4.2.4, 4.1.2, 4.0.7, 3.1.4, 3.0.2
All affected versions: 3.0.0, 3.0.1, 3.1.0, 3.1.1, 3.1.2, 3.1.3, 4.0.0, 4.0.1, 4.0.2, 4.0.3, 4.0.4, 4.0.5, 4.0.6, 4.1.0, 4.1.1, 4.2.0, 4.2.1, 4.2.2, 4.2.3, 4.3.0, 4.3.1, 4.3.2, 4.4.0, 4.4.1, 4.4.2, 4.5.0, 4.6.0, 4.6.1, 4.6.2, 4.6.3
All unaffected versions: 2.0.1, 2.0.2, 2.0.3, 2.1.0, 2.1.1, 2.2.0, 2.2.1, 2.2.2, 2.2.3, 2.3.0, 2.3.1, 2.4.0, 2.5.0, 2.5.1, 2.6.0, 2.7.0, 2.8.0, 2.8.1, 2.8.2, 2.8.3, 2.8.4, 2.8.5, 2.8.6, 2.9.0, 2.9.1, 2.9.2, 2.10.0, 2.10.1, 2.10.2, 2.10.3, 2.10.4, 2.10.5, 2.10.6, 2.10.7, 3.0.2, 3.1.4, 4.0.7, 4.1.2, 4.2.4, 4.3.3, 4.4.3, 4.5.1, 4.6.4, 4.7.0, 4.8.0, 4.8.1, 4.9.0, 4.9.1, 4.9.2, 4.9.3, 4.10.0, 4.10.1, 4.11.0, 4.12.0, 4.12.1, 4.12.2, 4.12.3, 4.12.4, 5.0.0, 5.0.1, 5.0.2, 5.0.3, 5.0.4, 5.1.0, 5.1.1, 5.1.2, 5.1.3